/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import { DateTime } from "luxon";
import { DatePicker } from "../datepicker/DatePicker";
export declare namespace DateRangePicker {
    class ELEMENT extends DatePicker.ELEMENT {
        startDate: string | undefined | null;
        endDate: string | undefined | null;
        maxRangeLength: number | undefined;
        private originalFilterDate;
        connectedCallback(): void;
        private parseInitialValue;
        private updateFilterDate;
        private createCombinedFilter;
        disconnectedCallback(): void;
        updated(changedProperties: Map<string | number | symbol, unknown>): void;
        updateValue: () => void;
        protected getPlaceHolderString(): string;
        isValueValid: () => boolean;
        setSelected(): void;
        dateToSqlTranslate(date: DateTime): string | null;
        onApplyClick(): void;
        protected getDefaultAriaLabel: () => string;
        handleDateSelection(e: any): void;
        emitDateRange(): void;
    }
}
declare global {
    interface HTMLElementTagNameMap {
        "md-date-range-picker": DateRangePicker.ELEMENT;
    }
}
